Bug 193710 - [SOUP] Remove libsoup cruft from WebProcess
Summary: [SOUP] Remove libsoup cruft from WebProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-22 22:02 PST by Michael Catanzaro
Modified: 2019-02-05 08:03 PST (History)
5 users (show)

See Also:


Attachments
Patch (34.06 KB, patch)
2019-01-22 22:05 PST, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2019-01-22 22:02:12 PST
SoupNetworkSession is no longer accessible from the web process because it's owned (indirectly) by NetworkProcess after r240292. It doesn't make sense to have any libsoup code under WebProcess anymore. The current libsoup code consists of:

 * Unused stuff to be removed
 * Stuff unrelated to libsoup, which should move to a WebProcessGLib.cpp
 * WebKitSoupRequestInputStream, which is only used by NetworkProcess and should move there
Comment 1 Michael Catanzaro 2019-01-22 22:05:35 PST
Created attachment 359855 [details]
Patch
Comment 2 WebKit Commit Bot 2019-01-23 09:26:56 PST
Comment on attachment 359855 [details]
Patch

Clearing flags on attachment: 359855

Committed r240341: <https://trac.webkit.org/changeset/240341>
Comment 3 WebKit Commit Bot 2019-01-23 09:26:58 PST
All reviewed patches have been landed.  Closing bug.